<!-- $Id: list.inc,v 1.1 2003/07/31 22:34:46 james Exp james $ -->
<?php
#
#   list.inc, prepaid accounting, list users
#   Copyright (C) 2000  James Cameron (quozl@us.netrek.org)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

# emit hostname and date
echo '<div align=right><i><small>'.`date`.'</small></i></div>';

list_active_users($users);
list_accounts_defined($users);
list_known_users($users);

ksort($users);

echo "<p><center><table border=0 cellpadding=2>";
echo "<tr bgcolor=$colour_heading_one><th colspan=3>Users</th></tr>";
echo "<tr bgcolor=$colour_heading_two><th>User</th><th>Name</th>";
if ($verbose) echo "<th align=right>Balance</th>";
echo "</tr>\n";

reset ($users);
while (list ($key, $val) = each ($users)) {
    if ($verbose) {
        $balance = account_total($key);
        $colour = ($balance < 0 ? $colour_detail_debit_one : $colour_detail_credit_one);
    } else {
    	$colour = ($count++ % 2 ? $colour_detail_credit_one : $colour_detail_credit_two);
    }
    echo '<tr bgcolor='.$colour.'><td><a href=view.phtml?name='.$key.'>'.$key.'</a></td>'.
	'<td>'.$val['name'].'</td>';
    if ($verbose) echo '<td align=right>'.amount_to_string($balance).'</td>';
    echo "</tr>\n";
}
echo "</table></center><p>";

menu('');
?>
